package com.ss.android.ugc.aweme.ecommercelive.service;

import X.2Pr;
import X.4r1;
import X.C4258HDf;
import X.LC9;
import com.bytedance.covode.number.Covode;
import java.util.List;
import java.util.Map;

public interface IEcommerceLiveService {
    static {
        Covode.recordClassIndex(73397);
    }

    Object LIZ(String str, String str2, String str3, int i, 4r1<? super 2Pr> r5);

    List<LC9> LIZ();

    boolean LIZIZ();

    Map<String, String> LIZJ();

    C4258HDf LIZLLL();
}
